
 LinHES - Bug # 636: R6.01 --> R6.02 update script stuck in endless loop

Status: Closed Priority: Normal
Author: graysky Category:
Created: 03/06/2010 Assignee:
Updated: 03/30/2010 Due date:
Description: <code>

sudo pacman -Sy linhes-scripts
sudo upgrade_to_0.22.sh
</code>

Seems to be stuck in an endless loop of updating schema and errors... it's been running for a good 40 min 
now like this :(

{{http://img697.imageshack.us/img697/8612/error1t.jpg}}

and

{{http://img697.imageshack.us/img697/1846/error2c.jpg}}

Link to discussion thread: http://knoppmyth.net/phpBB2/viewtopic.php?t=20887

History
03/06/2010 08:58 am - graysky
Sorry about the screenshots, here is the first few bits of the backend.log

<code>2010-03-06 09:26:13.631 Using runtime prefix = /usr
2010-03-06 09:26:13.768 Empty LocalHostName.
2010-03-06 09:26:13.796 Using localhost value of mythtv
2010-03-06 09:26:13.945 New DB connection, total: 1
2010-03-06 09:26:14.088 Connected to database 'mythconverg' at host: localhost
2010-03-06 09:26:14.123 Closing DB connection named 'DBManager0'
2010-03-06 09:26:14.155 Connected to database 'mythconverg' at host: localhost
2010-03-06 09:26:14.202 New DB connection, total: 2
2010-03-06 09:26:14.230 Connected to database 'mythconverg' at host: localhost
2010-03-06 09:26:14.257 Current Schema Version: 1214
Starting up as the master server.
2010-03-06 09:26:14.380 mythbackend: MythBackend started as master server
2010-03-06 09:26:14.478 New DB connection, total: 3
2010-03-06 09:26:14.507 Connected to database 'mythconverg' at host: localhost
2010-03-06 09:26:14.727 New DB scheduler connection
2010-03-06 09:26:14.774 Connected to database 'mythconverg' at host: localhost
2010-03-06 09:26:16.101 Main::Registering HttpStatus Extension
2010-03-06 09:26:16.398 mythbackend version: 0.21.20080304-1 www.mythtv.org
2010-03-06 09:26:16.606 Enabled verbose msgs:  important general
2010-03-06 09:26:16.771 AutoExpire: CalcParams(): Max required Free Space: 1.0 GB w/freq: 15 min
2010-03-06 09:26:17.871 Reschedule requested for id -1.
2010-03-06 09:26:18.786 Scheduled 17 items in 0.9 = 0.68 match + 0.24 place
2010-03-06 09:26:18.844 scheduler: Scheduled items: Scheduled 17 items in 0.9 = 0.68 match + 0.24 place
2010-03-06 09:26:18.886 Seem to be woken up by USER
2010-03-06 09:26:19.917 I'm idle now... shutdown will occur in 1200 seconds.
2010-03-06 09:26:20.590 MainServer::HandleAnnounce Playback
2010-03-06 09:26:20.623 adding: mythtv as a client (events: 0)

04/30/2025 1/4



2010-03-06 09:26:20.640 MainServer::HandleAnnounce Monitor
2010-03-06 09:26:20.673 adding: mythtv as a client (events: 1)
2010-03-06 09:26:24.440 mythbackend: Running housekeeping thread
2010-03-06 09:26:25.125 UPnpMedia: BuildMediaMap VIDEO scan starting in :/myth/video:
2010-03-06 09:26:29.285 UPnpMedia: BuildMediaMap Done. Found 1841 objects
2010-03-06 09:27:34.820 AutoExpire: CalcParams(): Max required Free Space: 1.0 GB w/freq: 15 min
2010-03-06 09:38:59.099 I'm idle now... shutdown will occur in 1200 seconds.
2010-03-06 09:41:36.362 mythbackend version: branches/release-0-22-fixes [23566M] www.mythtv.org
2010-03-06 09:41:36.676 Using runtime prefix = /usr
2010-03-06 09:41:36.699 Using configuration directory = /home/mythtv/.mythtv
2010-03-06 09:41:36.731 Empty LocalHostName.
2010-03-06 09:41:36.766 Using localhost value of mythtv
2010-03-06 09:41:36.821 New DB connection, total: 1
2010-03-06 09:41:36.848 Connected to database 'mythconverg' at host: localhost
2010-03-06 09:41:36.874 Closing DB connection named 'DBManager0'
2010-03-06 09:41:36.900 Connected to database 'mythconverg' at host: localhost
2010-03-06 09:41:36.930 Current MythTV Schema Version (DBSchemaVer): 1214
2010-03-06 09:41:36.958 MythTV database schema is old. Waiting to see if DB is being upgraded.
2010-03-06 09:41:37.983 New DB connection, total: 2
2010-03-06 09:41:38.057 Connected to database 'mythconverg' at host: localhost
2010-03-06 09:41:38.086 Current MythTV Schema Version (DBSchemaVer): 1214
2010-03-06 09:41:39.111 Current MythTV Schema Version (DBSchemaVer): 1214
2010-03-06 09:41:40.160 Current MythTV Schema Version (DBSchemaVer): 1214
2010-03-06 09:41:41.209 Current MythTV Schema Version (DBSchemaVer): 1214
2010-03-06 09:41:42.258 Current MythTV Schema Version (DBSchemaVer): 1214
2010-03-06 09:41:42.311 Timed out waiting.
2010-03-06 09:41:42.486 Backing up database with script: '/usr/share/mythtv/mythconverg_backup.pl'
2010-03-06 09:41:49.367 Database Backup complete.
2010-03-06 09:41:49.422 Backed up database to file: '/myth/tv/mythconverg-1214-20100306094142.sql.gz'
2010-03-06 09:41:49.454 Console is non-interactive, can't prompt user...
2010-03-06 09:41:49.495 Upgrading.
2010-03-06 09:41:49.521 Newest MythTV Schema Version : 1244
2010-03-06 09:41:49.556 Upgrading to MythTV schema version 1215
2010-03-06 09:41:49.579 New DB connection, total: 3
2010-03-06 09:41:49.605 Connected to database 'mythconverg' at host: localhost
2010-03-06 09:41:52.180 Upgrading to MythTV schema version 1216
2010-03-06 09:41:54.840 DB Error (Performing database upgrade): 
Query was: ALTER TABLE program  MODIFY title varbinary(128) NOT NULL default '',  MODIFY subtitle varbinary(128) NOT NULL default '',  MODIFY 
description blob NOT NULL,  MODIFY category varbinary(64) NOT NULL default '',  MODIFY category_type varbinary(64) NOT NULL default '',  
MODIFY title_pronounce varbinary(128) NOT NULL default '',  MODIFY seriesid varbinary(40) NOT NULL default '',  MODIFY showtype varbinary(30) 
NOT NULL default '',  MODIFY colorcode varbinary(20) NOT NULL default '',  MODIFY syndicatedepisodenumber varbinary(20) NOT NULL default '',  
MODIFY programid varbinary(40) NOT NULL default ''; 
Error was: Driver error was [2/1054]:
QMYSQL3: Unable to execute statement
Database error was:
Unknown column 'title_pronounce' in 'program'
 
new version: 1216
2010-03-06 09:41:54.881 DB charset conversions update failed! Your database seems to be partially corrupted. Please move the backup to a safe 
place. Your database must be fixed before you can upgrade beyond 0.21-fixes. Please see 
http://www.mythtv.org/wiki/Fixing_Corrupt_Database_Encoding for information.
2010-03-06 09:41:54.906 Database Schema upgrade FAILED, unlocking.
2010-03-06 09:41:54.931 Couldn't upgrade database to new schema
2010-03-06 09:41:55.201 mythbackend version: branches/release-0-22-fixes [23566M] www.mythtv.org
2010-03-06 09:41:55.248 Using runtime prefix = /usr
2010-03-06 09:41:55.273 Using configuration directory = /home/mythtv/.mythtv
2010-03-06 09:41:55.298 Empty LocalHostName.
2010-03-06 09:41:55.323 Using localhost value of mythtv
2010-03-06 09:41:55.357 New DB connection, total: 1
2010-03-06 09:41:55.388 Connected to database 'mythconverg' at host: localhost
2010-03-06 09:41:55.415 Closing DB connection named 'DBManager0'
2010-03-06 09:41:55.440 Connected to database 'mythconverg' at host: localhost
2010-03-06 09:41:55.470 Current MythTV Schema Version (DBSchemaVer): 1215
2010-03-06 09:41:55.490 MythTV database schema is old. Waiting to see if DB is being upgraded.
2010-03-06 09:41:56.515 New DB connection, total: 2
2010-03-06 09:41:56.564 Connected to database 'mythconverg' at host: localhost
2010-03-06 09:41:56.593 Current MythTV Schema Version (DBSchemaVer): 1215
2010-03-06 09:41:57.618 Current MythTV Schema Version (DBSchemaVer): 1215
2010-03-06 09:41:58.651 Current MythTV Schema Version (DBSchemaVer): 1215
2010-03-06 09:41:59.708 Current MythTV Schema Version (DBSchemaVer): 1215
2010-03-06 09:42:00.765 Current MythTV Schema Version (DBSchemaVer): 1215
2010-03-06 09:42:00.818 Timed out waiting.
2010-03-06 09:42:00.864 Backing up database with script: '/usr/share/mythtv/mythconverg_backup.pl'
2010-03-06 09:42:05.360 Database Backup complete.
2010-03-06 09:42:05.424 Backed up database to file: '/myth/tv/mythconverg-1215-20100306094200.sql.gz'
2010-03-06 09:42:05.456 Console is non-interactive, can't prompt user...
2010-03-06 09:42:05.505 Upgrading.
2010-03-06 09:42:05.522 Newest MythTV Schema Version : 1244
2010-03-06 09:42:07.578 New DB connection, total: 3
2010-03-06 09:42:07.631 Connected to database 'mythconverg' at host: localhost
2010-03-06 09:42:07.645 Upgrading to MythTV schema version 1216
2010-03-06 09:42:10.165 DB Error (Performing database upgrade): 
Query was: ALTER TABLE program  MODIFY title varbinary(128) NOT NULL default '',  MODIFY subtitle varbinary(128) NOT NULL default '',  MODIFY 
description blob NOT NULL,  MODIFY category varbinary(64) NOT NULL default '',  MODIFY category_type varbinary(64) NOT NULL default '',  
MODIFY title_pronounce varbinary(128) NOT NULL default '',  MODIFY seriesid varbinary(40) NOT NULL default '',  MODIFY showtype varbinary(30) 
NOT NULL default '',  MODIFY colorcode varbinary(20) NOT NULL default '',  MODIFY syndicatedepisodenumber varbinary(20) NOT NULL default '',  
MODIFY programid varbinary(40) NOT NULL default ''; 
Error was: Driver error was [2/1054]:
QMYSQL3: Unable to execute statement
Database error was:
Unknown column 'title_pronounce' in 'program'</code>

03/06/2010 09:49 am - graysky
Before I attempted the upgrade process, I ran the backup script and I did an rsync of my entire root directory to another HDD. After running into the 
problem, I nuked my /dev/sda1 entirely and rsynced the copy back thinking that would provide me with a failsafe.

After rsyncing back the backup of my / partition and rebooting, The box is just stuck in an endless loop of: 

<code>
Starting Hal  [BKGD]
Starting SSH  [BKGD]
Starting Mysql  [BKGD]
Starting lighttpd  [BKGD]
Starting Avahi  [BKGD]
Starting Hal  [BKGD]
Starting SSH  [BKGD]
Starting Mysql  [BKGD]
Starting lighttpd  [BKGD]
Starting Avahi  [BKGD]
Starting Hal  [BKGD]
Starting SSH  [BKGD]
Starting Mysql  [BKGD]
Starting lighttpd  [BKGD]
Starting Avahi  [BKGD]
</code>

Advise is greatly appreciated.

03/20/2010 09:04 pm - jams
Still having trouble?
the fact that hal/mysql/avahi keep restarting themselves is not a good sign.  This has less todo with the database as your system does look pretty 
messed up.

03/21/2010 07:57 am - jams
- Status changed from New to Feedback

03/30/2010 09:58 am - jams
- Status changed from Feedback to No user feedback

Closed due to lack of feedback.  Hopefully by now its resolved.
Maybe something as simple as out of diskspace.

03/30/2010 10:12 am - jams
- Status changed from No user feedback to Closed
